#
# Conditional build:
%bcond_without	home_etc	# without home_etc support
#
Summary:	An open source reimplementation of the Microprose game "Transport Tycoon Deluxe"
Summary(pl.UTF-8):	Otwarta reimplementacja gry Transport Tycoon Deluxe
Name:		openttd
Version:	1.6.1
Release:	4
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://us.binaries.openttd.org/binaries/releases/%{version}/%{name}-%{version}-source.tar.xz
# Source0-md5:	420c0488d2b085a1879ae2325e558310
Source1:	%{name}.desktop
Source2:	%{name}-server.desktop
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-libiconv.patch
Patch2:		%{name}-icu64.patch
URL:		http://www.openttd.org/
BuildRequires:	SDL-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	grfcodec >= 6.0.2
%{?with_home_etc:BuildRequires:	home-etc-devel}
BuildRequires:	libicu-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	lzo-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	%{name}-data = %{version}-%{release}
Suggests:	%{name}-ai
Suggests:	%{name}-opengfx
Suggests:	%{name}-openmsx
Suggests:	%{name}-opensfx
Suggests:	TiMidity++
Provides:	%{name}-binary = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenTTD is modeled after the original Transport Tycoon game by Chris
Sawyer and enhances the game experience dramatically. Many features
were inspired by TTDPatch while others are original.

It requires the original Transport Tycoon Deluxe data files.

%description -l pl.UTF-8
OpenTTD powstał na bazie gry Transport Tycoon stworzonej przez Chrisa
Sawyera, jego grywalność jest jednak dużo większa. Wiele rzeczy
zostało zainspirowanych przez TTDPatch, dużo jest jednak oryginalnych
pomysłów.

Do uruchomienia wymagane są pliki danych z Transport Tycoon Deluxe.

%package data
Summary:	OpenTTD data files
Summary(pl.UTF-8):	Pliki danych OpenTTD
Group:		X11/Applications/Games

%description data
OpenTTD data files.

%description data -l pl.UTF-8
Pliki danych OpenTTD.

%package server
Summary:	OpenTTD dedicated server
Summary(pl.UTF-8):	Dedykowany serwer OpenTTD
Group:		X11/Applications/Games
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}

%description server
This package contains OpenTTD dedicated server. Note that
graphics-enabled OpenTTD client also has this functionality.

%description server -l pl.UTF-8
Ten pakiet zawiera dedykowany serwer OpenTTD. Należy zwrócić uwagę, że
graficzny klient OpenTTD również zawiera taką funkcjonalność.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1
%patch2 -p1

# Let's pldize
find src/lang/ -type f -exec %{__sed} -i 's/:Unix/:PLD Linux/' \{\} \;

%build

# dedicated
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	--cc-host="%{__cc}" \
	--cc-build="%{__cc}" \
	--cxx-host="%{__cxx}" \
	--cxx-build="%{__cxx}" \
	--disable-strip \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--enable-dedicated \
	--without-allegro \
	--without-sdl \
	--with-zlib \
	--without-png \
	--without-freetype \
	--without-fontconfig \
	--without-libtimidity

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1

mv bin/openttd{,-dedicated}

# client
rm -f Makefile.config
%{__make} clean
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} $(sdl-config --cflags) -I/usr/include/freetype2" \
	LDFLAGS="%{rpmldflags}" \
	--cc-host="%{__cc}" \
	--cc-build="%{__cc}" \
	--cxx-host="%{__cxx}" \
	--cxx-build="%{__cxx}" \
	--disable-strip \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--without-allegro \
	--with-sdl \
	--with-zlib \
	--with-png \
	--with-freetype \
	--with-fontconfig \
	--without-libtimidity \
	--with-iconv \
	--with-midi=%{_bindir}/timidity

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6,%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{ai/library,scenario/heightmap}

%{__make} install \
	INSTALL_DIR=$RPM_BUILD_ROOT \
	INSTALL=1 \
	VERBOSE=1 \
	PREFIX="/" \

install bin/openttd-dedicated $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install docs/openttd.6 $RPM_BUILD_ROOT%{_mandir}/man6
install media/openttd.256.png $RPM_BUILD_ROOT%{_pixmapsdir}/openttd.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc changelog.txt known-bugs.txt readme.txt docs/multiplayer.txt
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man6/openttd.*
%{_iconsdir}/*/*/*/openttd.png

%files data
%defattr(644,root,root,755)
%doc bin/scripts
%{_datadir}/%{name}
%{_pixmapsdir}/openttd.*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-dedicated
%{_desktopdir}/%{name}-server.desktop
%changelog
* Sun Oct 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openttd.git;a=log;h=master

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> b6c818d
- rebuild with icu 65.1
- release 4 (by relup.sh)

* Sat Apr 13 2019 Adam Gołębiowski <adamg@pld-linux.org> 0849108
- release 3, rebuild againast icu 64

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 887f074
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jan Rękorajski <baggins@pld-linux.org> 298fe97
- up to 1.6.1

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 05b72c7
- rebuild with icu 58.2
- release 4 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> cc6967f
- icu-57.1 rebuild
- release 3 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 1f5739d
- release 2 (by relup.sh)

* Wed Nov 04 2015 Marcin Banasiak <marcin.banasiak@gmail.com> c2bd737
- Update to 1.5.2

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> 3bb59b9
- updated to 1.5.1

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a39b753
- release 2 (by relup.sh)

* Tue Apr 08 2014 Jacek Konieczny <jajcus@jajcus.net> 7e49c02
- Version: 1.4.0

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ff2c6b3
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 692aedb
- release 2 (by relup.sh)

* Sun Jun 16 2013 Adam Gołębiowski <adamg@pld-linux.org> 3146ae0
- updated to 1.3.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> eccb19d
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> 5cf1a81
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> d33d232
- fixed fontconfig > 2.9 detection

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 1c4b017
- updated to 1.2.2
- force accessible mirror for source0

* Sun Sep 23 2012 Jan Rękorajski <baggins@pld-linux.org> e7e715f
- release 4 (by relup.sh)

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 79babd1
- release 3 (by relup.sh)

